Index: doc/options.txt
===================================================================
--- doc/options.txt	(revision 4074)
+++ doc/options.txt	(working copy)
@@ -29,11 +29,13 @@
 
 ;-c filename
 ;--read-config=filename
-: 	The given file is opened and each line is an option setting of
-the form option=value, any option that could be used on the command
-line can be used, however you omit the leading '--'.  The short
-option names with a single '-' cannot be used, simply use the
-long name instead.
+: 	Each line of the named file contains a command option in the form
+option=value or option:value.  The options are included as arguments of
+the executed command as if they had been specified on the command line.
+Lines beginning with a # character are ignored and can be used as
+comments.  Any command line option can be specified, however the
+leading '--' must be omitted.  The short option names with a single
+'-' cannot be used, simply use the long name instead. 
 <p>
 ;--output-dir=filename
 :     The directory in which all output files are written. It defaults
@@ -42,8 +44,8 @@
 <p>
 ;-n name
 ;--mapname=name
-: 	Set the name of the map. Garmin maps are named by 8 digit
-numbersList.  The default is 63240001.  It is best to use a different
+: 	Set the name of the map. Garmin maps are identified by an 8 digit
+number.  The default is 63240001.  It is best to use a different
 name if you are going to be making a map for others to use so
 that it is unique and does not clash with others.
 <p>
@@ -77,7 +79,7 @@
 <p>
 ;--unicode
 : 	This is equivalent to --code-page=65001. Note that some devices don't support 
-unicode maps produced by mkgmap.
+Unicode maps produced by mkgmap.
 
 <p>
 ;--code-page=number
@@ -106,7 +108,8 @@
 <p>
 If instead the --tdbfile option is given then the index consists
 of two files named osmmap.mdx and osmmap_mdr.img which can be used
-with MapSource. (For compatibility, you do not need the tdbfile
+with MapSource.  The --overview-mapname option can be used to change
+these names.  (For compatibility, you do not need the tdbfile
 option if gmapsupp is not given).
 <p>
 If both the --gmapsupp and --tdbfile options are given alongside
@@ -113,8 +116,7 @@
 the --index option, then both indexes will be created. Note that
 this will require roughly twice as much memory.
 <p>
-The --overview-mapname option can be used to change these names.  If
-the mapset is sent to the device from MapSource, it will enable
+If the map is sent to the device by MapSource, it will enable
 find by name and address search on the GPS.
 
 : The address fields are assigned by special mkgmap address
@@ -128,7 +130,7 @@
   mkgmap:housenumber
   mkgmap:phone
   (mkgmap:is_in - used by location-autofill=is_in)
- 
+
 : If the index is created from previously compiled .img files, then the
 same code page and sorting options (e.g. --code-page, --latin1) must
 be used as were used to compile the individual map tiles.
@@ -148,12 +150,12 @@
 This leads to rather long road names like 'Rue de la Concorde' where only
 the word 'Concorde' is really interesting. In the USA, you often have names
 like 'West Main Street' where only the word 'Main' is important.  
-Garmin software has some tricks to handle this problem. It allows to use
-special characters in the road labels which mark the beginning and end of 
+Garmin software has some tricks to handle this problem. It allows the use
+of special characters in the road labels to mark the beginning and end of 
 the important part. In combinarion with option split-name-index
 only the words in the important part are indexed.
 <p>
-:There are two different visiual effects of this option:
+:There are two different effects of this option:
 ::	- On the PC, when zooming out, the name 'Rue de la Concorde' is only
 rendered as 'Concorde'.
 ::	- The index for road names only contains the important part of the name.
@@ -167,7 +169,7 @@
 comments in the sample roadNameConfig.txt for further details.
 <p>
 ;--mdr7-excl 
-:	This option allows to specify words which should not be in the road index.
+:	This option allows you to specify words which should not be in the road index.
 It was added before option road-name-config and is probably no longer needed.
 :	Example usage: --x-mdr7-excl="Road, Street, Straße, Weg"
 <p>
@@ -175,11 +177,11 @@
 :	Use this option if your style adds strings to the labels of roads which you
 want to see in the map but which should not appear in the result list
 of a road name / address search. The list is used like this:
-For each road label mkgmap searches the last blank. If one is found, it checks
+For each road label, mkgmap searches for the last blank. If one is found, it checks
 if the word after it appears in the given list. If so, the word is removed
 and the search is repeated. The remaining string is used to create the index.
 :	Example: Assume your style adds surface attributes like 'pav.' or 'unp.' to a road
-label. You can use --mdr7-del="pav.,unp." to remove these apendixes from the index.
+label. You can use --mdr7-del="pav.,unp." to remove these appendixes from the index.
 <p>
 ;--poi-excl-index
 :	By default, mkgmap indexes the following POI types with a non-empty label:
@@ -188,10 +190,10 @@
 ::	- 0x28xx (no category ?)
 ::	- 0x64xx .. 0x66xx (attractions)   
 :	This option allows to exclude POI types from the index. 
-The exclueded types are not indexed, but may still be searchable on a device 
+The excluded types are not indexed, but may still be searchable on a device 
 as some devices seem to ignore most of the index, e.g. an Oregon 600 with 
 firmware 5.00 only seems to use it for city search.
-If you device finds a POI name like 'Planet' when you search for 'Net'
+If your device finds a POI name like 'Planet' when you search for 'Net',
 it doesn't use the index because the index created by mkgmap cannot help for 
 that search.
 <p> 
@@ -199,7 +201,7 @@
 memory that is needed to calculate it.    
 The option expects a comma separated list of types or type ranges. A range is 
 given with from-type-to-type, e.g. 0x6400-0x6405. First and last type are both 
-excluded.A range can span multiple types, e.g. 0x6400-0x661f.  
+excluded.  A range can span multiple types, e.g. 0x6400-0x661f.  
 :	Examples for usage: 
 ::	- Assume your style adds a POI with type 0x2800 for each addr:housenumber.
 It is not useful to index those numbers, so you can use --poi-excl-index=0x2800
@@ -226,9 +228,9 @@
 </pre>
 Preprocessed bounds can be created with the following command:
 <pre>
-   java -cp mkgmap.jar 
-      uk.me.parabola.mkgmap.reader.osm.boundary.BoundaryPreprocessor
-      <inputfile> <boundsdir>
+  java -cp mkgmap.jar 
+    uk.me.parabola.mkgmap.reader.osm.boundary.BoundaryPreprocessor
+    <inputfile> <boundsdir>
 </pre>
 The input file must contain the boundaries that should be preprocessed. 
 It can have OSM, PBF or O5M file format. It is recommended that it 
@@ -284,7 +286,7 @@
 number is 63240000.
 <p>
 ;--overview-levels
-:   like levels, specifies additional levels that are to be written to the
+:   Like levels, specifies additional levels that are to be written to the
 overview map. Counting of the levels should continue. Up to 8 additional 
 levels may be specified, but the lowest usable resolution with MapSource 
 seems to be 11. The hard coded default is empty.      
@@ -415,7 +417,7 @@
 (Default is 2.6, which should lead to invisible changes)
 <p>
 ;--reduce-point-density-polygon=NUM
-: 	Allows to set the maximal allowed error distance for the DP algorithm
+: 	Allows you to set the maximal allowed error distance for the DP algorithm
 to be applied against polygons. Recommended setting is 8.
 <p>
 ;--merge-lines
@@ -431,7 +433,7 @@
 See also polygon-size-limits.
 <p>
 ;--polygon-size-limits=limits code
-:   Allows to specify different min-size-polygon values for each resolution.
+:   Allows you to specify different min-size-polygon values for each resolution.
 Sample:  
 --polygon-size-limits="24:12, 18:10, 16:8, 14:4, 12:2, 11:0"
 If a resolution is not given, mkgmap uses the value for the next higher 
@@ -552,7 +554,7 @@
 different vehicles are different kinds of bicycles, e.g. a way
 with mkgmap:car=yes and mkgmap:bicycle=no may be a road that is 
 good for racing bikes, but not for other cyclists.
-This allows to optimise sharp angles at junctions of those roads. 
+This allows the optimisation of sharp angles at junctions of those roads. 
 Don't use with the default style as that is a general style!
 <p>
 ;--report-similar-arcs
@@ -606,7 +608,7 @@
 :     A semicolon separated list of tag=value definitions. A POI is placed at the first
 node of the polygon tagged with the first tag/value pair. If none of the nodes are
 tagged with the first tag-value pair the first node tagged with the second tag-value
-pair is used and so on. If none of the tag-value pairs matches or the taglist is empty 
+pair is used and so on. If none of the tag-value pairs matches or the taglist is empty,
 the centre of the polygon is used.
 It is possible to define wildcards for tag values like entrance=*.
 <p>Default: entrance=main;entrance=yes;building=entrance
@@ -787,7 +789,7 @@
 things.
 <p>
 ;--custom
-: 	Write a different TRE header. With this option mkgmap writes the bytes
+: 	Write a different TRE header. With this option, mkgmap writes the bytes
 0x170401 instead of the default 0x110301 at offset 43. Useful for marine maps.	
 <p>
 ;--hide-gmapsupp-on-pc
@@ -806,7 +808,7 @@
 : 	Makes some operations more verbose. Mostly used with --list-styles.
 <p>
 ;--order-by-decreasing-area
-:	Puts area/polygons into the mapfile in decreasing size so
+:	Puts area/polygons into the map in decreasing size order, so
 that smaller features are rendered over larger ones
 (assuming _drawOrder is equal).
 The tag mkgmap:drawLevel can be used to override the
Index: resources/help/en/options
===================================================================
--- resources/help/en/options	(revision 4074)
+++ resources/help/en/options	(working copy)
@@ -30,11 +30,13 @@
 
 -c filename
 --read-config=filename
-	The given file is opened and each line is an option setting of
-	the form option=value, any option that could be used on the command
-	line can be used, however you omit the leading '--'.  The short
-	option names with a single '-' cannot be used, simply use the
-	long name instead.
+	Each line of the named file contains a command option in the form
+	option=value or option:value.  The options are included as arguments of
+	the executed command as if they had been specified on the command line.
+	Lines beginning with a # character are ignored and can be used as
+	comments.  Any command line option can be specified, however the
+	leading '--' must be omitted.  The short option names with a single
+	'-' cannot be used, simply use the long name instead. 
 
 --output-dir=filename
 	The directory in which all output files are written. It defaults
@@ -43,8 +45,8 @@
 
 -n name
 --mapname=name
-	Set the name of the map. Garmin maps are named by 8 digit
-	numbersList.  The default is 63240001.  It is best to use a different
+	Set the name of the map. Garmin maps are identified by an 8 digit
+	number.  The default is 63240001.  It is best to use a different
 	name if you are going to be making a map for others to use so
 	that it is unique and does not clash with others.
 
@@ -78,7 +80,7 @@
 
 --unicode
 	This is equivalent to --code-page=65001. Note that  
-	some devices don't support unicode maps produced by mkgmap.
+	some devices don't support Unicode maps produced by mkgmap.
 
 --code-page=number
 	This option enables the use of international characters. Only 8 bit
@@ -106,7 +108,8 @@
 
 	If instead the --tdbfile option is given then the index consists
 	of two files named osmmap.mdx and osmmap_mdr.img which can be used
-	with MapSource. (For compatibility, you do not need the tdbfile
+	with MapSource.  The --overview-mapname option can be used to change
+	these names.  (For compatibility, you do not need the tdbfile
 	option if gmapsupp is not given).
 
 	If both the --gmapsupp and --tdbfile options are given alongside
@@ -113,8 +116,7 @@
 	the --index option, then both indexes will be created. Note that
 	this will require roughly twice as much memory.
 
-	The --overview-mapname option can be used to change these names.  If
-	the mapset is sent to the device from MapSource, it will enable
+	If the map is sent to the device by MapSource, it will enable
 	find by name and address search on the GPS.
 	
 	The address fields are assigned by special mkgmap address
@@ -147,12 +149,12 @@
 	This leads to rather long road names like 'Rue de la Concorde' where only
 	the word 'Concorde' is really interesting. In the USA, you often have names
 	like 'West Main Street' where only the word 'Main' is important.  
-	Garmin software has some tricks to handle this problem. It allows to use
-	special characters in the road labels which mark the beginning and end of 
-	the important part. In combinarion with option split-name-index
+	Garmin software has some tricks to handle this problem. It allows the use
+	of special characters in the road labels to mark the beginning and end of 
+	the important part. In combination with option split-name-index
 	only the words in the important part are indexed.
-	 
-	There are two different visiual effects of this option:
+
+	There are two different effects of this option:
 	- On the PC, when zooming out, the name 'Rue de la Concorde' is only
 		rendered as 'Concorde'.
 	- The index for road names only contains the important part of the name.
@@ -166,7 +168,7 @@
 	comments in the sample roadNameConfig.txt for further details.
  
 --mdr7-excl 
-	This option allows to specify words which should not be in the road index.
+	This option allows you to specify words which should not be in the road index.
 	It was added before option road-name-config and is probably no longer needed.
 	Example usage: --x-mdr7-excl="Road, Street, Straße, Weg"
  
@@ -174,11 +176,11 @@
 	Use this option if your style adds strings to the labels of roads which you
 	want to see in the map but which should not appear in the result list
 	of a road name / address search. The list is used like this:
-	For each road label mkgmap searches the last blank. If one is found, it checks
+	For each road label, mkgmap searches for the last blank. If one is found, it checks
 	if the word after it appears in the given list. If so, the word is removed
 	and the search is repeated. The remaining string is used to create the index.
 	Example: Assume your style adds surface attributes like 'pav.' or 'unp.' to a road
-	label. You can use --mdr7-del="pav.,unp." to remove these apendixes from the index.
+	label. You can use --mdr7-del="pav.,unp." to remove these appendixes from the index.
 	  
 --poi-excl-index
 	By default, mkgmap indexes the following POI types with a non-empty label:
@@ -187,10 +189,10 @@
 	- 0x28xx (no category ?)
 	- 0x64xx .. 0x66xx (attractions)   
 	This option allows to exclude POI types from the index. 
-	The exclueded types are not indexed, but may still be searchable on a device 
+	The excluded types are not indexed but may still be searchable on a device, 
 	as some devices seem to ignore most of the index, e.g. an Oregon 600 with 
 	firmware 5.00 only seems to use it for city search.
-	If you device finds a POI name like 'Planet' when you search for 'Net'
+	If your device finds a POI name like 'Planet' when you search for 'Net',
 	it doesn't use the index because the index created by mkgmap cannot help for 
 	that search. 
 	So, this option may help when you care about the size of the index or the
@@ -197,7 +199,7 @@
 	memory that is needed to calculate it.    
 	The option expects a comma separated list of types or type ranges. A range is 
 	given with from-type-to-type, e.g. 0x6400-0x6405. First and last type are both 
-	excluded.A range can span multiple types, e.g. 0x6400-0x661f.  
+	excluded.  A range can span multiple types, e.g. 0x6400-0x661f.  
 	Examples for usage: 
 	- Assume your style adds a POI with type 0x2800 for each addr:housenumber.
 		It is not useful to index those numbers, so you can use 
@@ -279,7 +281,7 @@
 	number is 63240000.
 
 --overview-levels
-	like levels, specifies additional levels that are to be written to the
+	Like levels, specifies additional levels that are to be written to the
 	overview map. Counting of the levels should continue. Up to 8 additional 
 	levels may be specified, but the lowest usable resolution with MapSource 
 	seems to be 11. The hard coded default is empty.      
@@ -409,7 +411,7 @@
 	(Default is 2.6, which should lead to invisible changes)
 
 --reduce-point-density-polygon=NUM
-	Allows to set the maximal allowed error distance for the DP algorithm
+	Allows you to set the maximal allowed error distance for the DP algorithm
 	to be applied against polygons. Recommended setting is 8.
 
 --merge-lines
@@ -425,7 +427,7 @@
 	See also polygon-size-limits.
 
 --polygon-size-limits=limits code
-	Allows to specify different min-size-polygon values for each resolution.
+	Allows you to specify different min-size-polygon values for each resolution.
 	Sample:  
 	--polygon-size-limits="24:12, 18:10, 16:8, 14:4, 12:2, 11:0"
 	If a resolution is not given, mkgmap uses the value for the next higher 
@@ -546,7 +548,7 @@
 	different vehicles are different kinds of bicycles, e.g. a way
 	with mkgmap:car=yes and mkgmap:bicycle=no may be a road that is 
 	good for racing bikes, but not for other cyclists.
-	This allows to optimise sharp angles at junctions of those roads. 
+	This allows the optimisation of sharp angles at junctions of those roads. 
 	Don't use with the default style as that is a general style!
 	
 --report-similar-arcs
@@ -602,7 +604,7 @@
 	A semicolon separated list of tag=value definitions. A POI is placed at the first
 	node of the polygon tagged with the first tag/value pair. If none of the nodes are
 	tagged with the first tag-value pair the first node tagged with the second tag-value
-	pair is used and so on. If none of the tag-value pairs matches or the taglist is empty 
+	pair is used and so on. If none of the tag-value pairs matches or the taglist is empty, 
 	the centre of the polygon is used.
 	It is possible to define wildcards for tag values like entrance=*.
 	Default: entrance=main;entrance=yes;building=entrance
@@ -679,7 +681,7 @@
 --make-poi-index
 	Generate a POI index in each map tile. Probably not used by modern devices,
 	but still supported.
-	
+
 --nsis
 	Write a .nsi file that can be used with the Nullsoft Scriptable Install System
 	(NSIS) to create a Windows Mapsource Installer.
@@ -782,7 +784,7 @@
 	things.
 
 --custom
-	Write a different TRE header. With this option mkgmap writes the bytes
+	Write a different TRE header. With this option, mkgmap writes the bytes
 	0x170401 instead of the default 0x110301 at offset 43. Useful for marine 
 	maps.
 	
@@ -802,7 +804,7 @@
 	Makes some operations more verbose. Mostly used with --list-styles.
 
 --order-by-decreasing-area
-	Puts polygons/areas into the mapfile in decreasing size so that
+	Puts polygons/areas into the map in decreasing size order, so that
 	smaller features are rendered over larger ones (assuming _drawOrder
 	is equal). The tag mkgmap:drawLevel can be used to override the
 	natural area of a polygon, so forcing changes to the rendering order. 
